Page MenuHomePhabricator

Spike: How do we ensure tests are green before they hit production?
Closed, ResolvedPublic

Description

What's the best way to ensure that code hitting the MediaWiki deployment train is good and all our tests are passing before the train cut?

Could this be done organization wise instead of manually for our projects?

How do we move forward with this?


Discuss, ping people and send an email thread with the questions and proposed solutions to discuss more openly.

Time: 2hrs

Event Timeline

Jhernandez raised the priority of this task from to Medium.
Jhernandez updated the task description. (Show Details)
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 13 2015, 6:08 PM
Jdlrobson updated the task description. (Show Details)Aug 17 2015, 4:42 PM
Jdlrobson set Security to None.

Don't we already run tests with Jenkins? If a test fails we can't merge, can we?

@bmansurov other projects can change code and break our functionality and they may not be running the same jenkins setup as we do. That would be the case for it I guess.

Let's talk about this, an outcome can be that this is not feasible or the work is not worth it currently and that we'll have to do this manually or check the saucelabs runs on fridays/mondays manually.

That'd be fine, the case is starting the convo and informing the blocked task for resolution.

Moving to next sprint.

Jdlrobson claimed this task.Sep 3 2015, 6:11 PM
Jdlrobson moved this task from To Do to Doing on the Reading-Web-Sprint-55-π board.

Boom! Discussion started on wikitech-l "QA: Holding our code to better standards."
Let's get buy-in and a way forward and call this epic squashed.

phuedx added a subscriber: phuedx.Sep 7 2015, 12:41 PM

I'm not sure when this should be signed off… I mean, an email has been sent… so…

A brief update on the conversation in email should be enough to sign this off imo.

Jdlrobson closed this task as Resolved.Sep 8 2015, 11:26 PM
Jdlrobson added a subscriber: greg.

To summarise:
https://phabricator.wikimedia.org/T111467 is up for grabs for core commits
Handing over to @greg's team on https://phabricator.wikimedia.org/T111545#1617119 - we should ping as stuff breaks due to its absence to bump up the priority. :)

I think there is little more we can do here so I'm calling this done.